<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::core::UdtSocket Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_udt_socket.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1core_1_1_udt_socket-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::UdtSocket Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class encapsulating a UDT socket.  
 <a href="classframework_1_1core_1_1_udt_socket.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_udt_socket_8h_source.html">UdtSocket.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::core::UdtSocket:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1core_1_1_udt_socket.png" usemap="#framework::core::UdtSocket_map" alt=""/>
  <map id="framework::core::UdtSocket_map" name="framework::core::UdtSocket_map">
<area href="classframework_1_1core_1_1_connected_socket.html" title="Interface class encapsulating a connected socket. Preserves packets order and guaranty delivery..." alt="framework::core::ConnectedSocket" shape="rect" coords="0,56,208,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,208,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9cc71e8855e8b14341e6a7c1c66760a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9cc71e8855e8b14341e6a7c1c66760a0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>UdtSocket</b> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, const std::string name, bool blockOnSend=false, bool blockOnReceive=true)</td></tr>
<tr class="separator:a9cc71e8855e8b14341e6a7c1c66760a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60642d6d7019888e3941d7d033d345d8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_udt_socket.html#a60642d6d7019888e3941d7d033d345d8">Listen</a> (const unsigned int port, const std::string localAddress=&quot;ANY&quot;)</td></tr>
<tr class="memdesc:a60642d6d7019888e3941d7d033d345d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a socket which listens on a specific port/address.  <a href="#a60642d6d7019888e3941d7d033d345d8">More...</a><br /></td></tr>
<tr class="separator:a60642d6d7019888e3941d7d033d345d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a456ab5341a848a611b8617820fa5a4cb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_udt_socket.html">UdtSocket</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_udt_socket.html#a456ab5341a848a611b8617820fa5a4cb">Accept</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> timeout)</td></tr>
<tr class="memdesc:a456ab5341a848a611b8617820fa5a4cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a socket on a new incoming connexion.  <a href="#a456ab5341a848a611b8617820fa5a4cb">More...</a><br /></td></tr>
<tr class="separator:a456ab5341a848a611b8617820fa5a4cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a068ef83296561083db1a11179c1c18e7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_udt_socket.html#a068ef83296561083db1a11179c1c18e7">Connect</a> (const unsigned int port, const std::string distantAddress, <a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> timeout)</td></tr>
<tr class="memdesc:a068ef83296561083db1a11179c1c18e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a socket connected to a distant host.  <a href="#a068ef83296561083db1a11179c1c18e7">More...</a><br /></td></tr>
<tr class="separator:a068ef83296561083db1a11179c1c18e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada2bf95112165ebe5083c53efa0fdfda"><td class="memItemLeft" align="right" valign="top">ssize_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_udt_socket.html#ada2bf95112165ebe5083c53efa0fdfda">SendMessage</a> (const char *message, size_t message_len, <a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> timeout)</td></tr>
<tr class="memdesc:ada2bf95112165ebe5083c53efa0fdfda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send a message.  <a href="#ada2bf95112165ebe5083c53efa0fdfda">More...</a><br /></td></tr>
<tr class="separator:ada2bf95112165ebe5083c53efa0fdfda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aae4ba8dc6f66953986cfac4b91e152"><td class="memItemLeft" align="right" valign="top">ssize_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_udt_socket.html#a2aae4ba8dc6f66953986cfac4b91e152">RecvMessage</a> (char *buf, size_t buf_len, <a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> timeout)</td></tr>
<tr class="memdesc:a2aae4ba8dc6f66953986cfac4b91e152"><td class="mdescLeft">&#160;</td><td class="mdescRight">Receive a message.  <a href="#a2aae4ba8dc6f66953986cfac4b91e152">More...</a><br /></td></tr>
<tr class="separator:a2aae4ba8dc6f66953986cfac4b91e152"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78e1893ada76b9fb18df237b28914970"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_udt_socket.html#a78e1893ada76b9fb18df237b28914970">NetworkToHost16</a> (uint16_t data)</td></tr>
<tr class="memdesc:a78e1893ada76b9fb18df237b28914970"><td class="mdescLeft">&#160;</td><td class="mdescRight">! See <a class="el" href="_socket_8h.html" title="Class defining a UDP socket. ">Socket.h</a> for a more generic implementation of network/host endianness conversion  <a href="#a78e1893ada76b9fb18df237b28914970">More...</a><br /></td></tr>
<tr class="separator:a78e1893ada76b9fb18df237b28914970"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78b06fd8babcec5b553fb080fb97dda4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a78b06fd8babcec5b553fb080fb97dda4"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>HostToNetwork16</b> (uint16_t data)</td></tr>
<tr class="separator:a78b06fd8babcec5b553fb080fb97dda4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33c7269b78bb0749e62b7a84743b13ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33c7269b78bb0749e62b7a84743b13ea"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>NetworkToHost32</b> (uint32_t data)</td></tr>
<tr class="separator:a33c7269b78bb0749e62b7a84743b13ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2365e0afd1299407d456be59b91f4df3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2365e0afd1299407d456be59b91f4df3"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>HostToNetwork32</b> (uint32_t data)</td></tr>
<tr class="separator:a2365e0afd1299407d456be59b91f4df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_connected_socket"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_connected_socket')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_connected_socket.html">framework::core::ConnectedSocket</a></td></tr>
<tr class="memitem:a695579876c4629165c4b19eb0e484f81 inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_connected_socket.html#a695579876c4629165c4b19eb0e484f81">ConnectedSocket</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, const std::string name)</td></tr>
<tr class="memdesc:a695579876c4629165c4b19eb0e484f81 inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a695579876c4629165c4b19eb0e484f81">More...</a><br /></td></tr>
<tr class="separator:a695579876c4629165c4b19eb0e484f81 inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad52887143da4083218371e8279f20512 inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_connected_socket.html#ad52887143da4083218371e8279f20512">~ConnectedSocket</a> ()</td></tr>
<tr class="memdesc:ad52887143da4083218371e8279f20512 inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ad52887143da4083218371e8279f20512">More...</a><br /></td></tr>
<tr class="separator:ad52887143da4083218371e8279f20512 inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a001a7945a7761abc4f3189f1f9f1656e inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a001a7945a7761abc4f3189f1f9f1656e"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>ReadString</b> (const size_t &amp;stringLength, <a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> timeout)</td></tr>
<tr class="separator:a001a7945a7761abc4f3189f1f9f1656e inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ec98403a9b3cd06a15ae2b47f9ee046 inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ec98403a9b3cd06a15ae2b47f9ee046"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>ReadUInt16</b> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> const &amp;timeout)</td></tr>
<tr class="separator:a4ec98403a9b3cd06a15ae2b47f9ee046 inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61fff62819016a9ca5a717e30ae285ff inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61fff62819016a9ca5a717e30ae285ff"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>WriteUInt16</b> (uint16_t const &amp;data, <a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> const &amp;timeout)</td></tr>
<tr class="separator:a61fff62819016a9ca5a717e30ae285ff inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a2a1124b381fd39062d280192c0e8ef inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4a2a1124b381fd39062d280192c0e8ef"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>ReadUInt32</b> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> const &amp;timeout)</td></tr>
<tr class="separator:a4a2a1124b381fd39062d280192c0e8ef inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab2c38fdbcb651cd51f8e0a243a2f0b2 inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab2c38fdbcb651cd51f8e0a243a2f0b2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>WriteUInt32</b> (uint32_t const &amp;data, <a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> const &amp;timeout)</td></tr>
<tr class="separator:aab2c38fdbcb651cd51f8e0a243a2f0b2 inherit pub_methods_classframework_1_1core_1_1_connected_socket"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class encapsulating a UDT socket. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a60642d6d7019888e3941d7d033d345d8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::UdtSocket::Listen </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>port</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string&#160;</td>
          <td class="paramname"><em>localAddress</em> = <code>&quot;ANY&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a socket which listens on a specific port/address. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">const</td><td>Object* parentObject </td></tr>
    <tr><td class="paramname">const</td><td>string name </td></tr>
    <tr><td class="paramname">unsigned</td><td>int port </td></tr>
    <tr><td class="paramname">const</td><td>localAddress (defaults to any) </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classframework_1_1core_1_1_connected_socket.html#a6379f0c76f3f60b955eb87d83d2f2145">framework::core::ConnectedSocket</a>.</p>

</div>
</div>
<a class="anchor" id="a456ab5341a848a611b8617820fa5a4cb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_udt_socket.html">UdtSocket</a>* framework::core::UdtSocket::Accept </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a>&#160;</td>
          <td class="paramname"><em>timeout</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a socket on a new incoming connexion. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname"><a class="el" href="classframework_1_1core_1_1_connected_socket.html" title="Interface class encapsulating a connected socket. Preserves packets order and guaranty delivery...">ConnectedSocket</a></td><td>&amp;listeningSocket </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classframework_1_1core_1_1_connected_socket.html#a4038ab1deff6af6cf47acbbb14f525ed">framework::core::ConnectedSocket</a>.</p>

</div>
</div>
<a class="anchor" id="a068ef83296561083db1a11179c1c18e7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool framework::core::UdtSocket::Connect </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>port</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string&#160;</td>
          <td class="paramname"><em>distantAddress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a>&#160;</td>
          <td class="paramname"><em>timeout</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a socket connected to a distant host. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">const</td><td>Object* parentObject </td></tr>
    <tr><td class="paramname">const</td><td>string name </td></tr>
    <tr><td class="paramname">unsigned</td><td>int port </td></tr>
    <tr><td class="paramname">const</td><td>distantAddress </td></tr>
    <tr><td class="paramname">timeout</td><td>timeout (in milliseconds) </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classframework_1_1core_1_1_connected_socket.html#a1c67587bb95766681b87b86fbc672459">framework::core::ConnectedSocket</a>.</p>

</div>
</div>
<a class="anchor" id="ada2bf95112165ebe5083c53efa0fdfda"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ssize_t framework::core::UdtSocket::SendMessage </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>message_len</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a>&#160;</td>
          <td class="paramname"><em>timeout</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Send a message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">message</td><td>message </td></tr>
    <tr><td class="paramname">message_len</td><td>message length </td></tr>
    <tr><td class="paramname">timeout</td><td>timeout (in milliseconds) </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classframework_1_1core_1_1_connected_socket.html#ad905a0beb32f9f0cc83f77edb0cb5681">framework::core::ConnectedSocket</a>.</p>

</div>
</div>
<a class="anchor" id="a2aae4ba8dc6f66953986cfac4b91e152"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ssize_t framework::core::UdtSocket::RecvMessage </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>buf_len</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a>&#160;</td>
          <td class="paramname"><em>timeout</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Receive a message. </p>
<p>Receive a message and wait up to timeout. <br />
 </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>buffer to put the message </td></tr>
    <tr><td class="paramname">buf_len</td><td>buffer length </td></tr>
    <tr><td class="paramname">timeout</td><td>timeout (in milliseconds)</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>size of the received message </dd></dl>

<p>Implements <a class="el" href="classframework_1_1core_1_1_connected_socket.html#a1c03f319ab35dc9107b809ebd4fe0035">framework::core::ConnectedSocket</a>.</p>

</div>
</div>
<a class="anchor" id="a78e1893ada76b9fb18df237b28914970"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t framework::core::UdtSocket::NetworkToHost16 </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>! See <a class="el" href="_socket_8h.html" title="Class defining a UDP socket. ">Socket.h</a> for a more generic implementation of network/host endianness conversion </p>

<p>Implements <a class="el" href="classframework_1_1core_1_1_connected_socket.html#abae64cfb8a9f82202e0cec48b6f0fd1b">framework::core::ConnectedSocket</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1_udt_socket.html">UdtSocket</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
